#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtWidgets/QPlainTextEdit>
#include "data.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

    public:
        explicit MainWindow(QWidget *parent = 0);
        ~MainWindow();

    private slots:
        void on_rb_bl_set_toggled(bool checked);
        void on_rb_bl_none_toggled(bool checked);
        void on_rb_bl_keep_toggled(bool checked);
        void on_ln_bl_byte_textChanged(const QString &arg);
        void on_rb_fmt_cpre_toggled(bool checked);
        void on_rb_fmt_sepa_toggled(bool checked);
        void on_rb_fmt_cont_toggled(bool checked);
        void on_rb_hex2hex_clicked();
        void on_rb_ascii2hex_clicked();
        void on_rb_hex2ascii_clicked();
        void on_rb_base2hex_clicked();
        void on_rb_hex2base_clicked();
        void on_btn_trans_left_clicked();
        void on_btn_trans_right_clicked();
        void on_btn_rand_left_clicked();
        void on_btn_rand_right_clicked();

    private:
        Ui::MainWindow *ui;
        int bpl;
        enum en_type from_type;
        enum en_type to_type;
        enum en_format format;
        void alter_blset_stat(bool enabled);
        void alter_format_stat(bool enabled);
        void trans(QPlainTextEdit *from, QPlainTextEdit *to);
        void gen_rand(QPlainTextEdit *to);
};

#endif // MAINWINDOW_H
